Bug 1652526 - [RFE] The CV exported tar should have name respective to Content View name
Summary: [RFE] The CV exported tar should have name respective to Content View name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1644596
TreeView+ depends on / blocked
 
Reported: 2018-11-22 10:10 UTC by Jitendra Yejare
Modified: 2019-05-14 12:39 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello hammer-cli-katello pull 607 None None None 2018-12-13 16:20:59 UTC
Foreman Issue Tracker 25682 None None None 2018-12-13 16:20:36 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:13 UTC

Description Jitendra Yejare 2018-11-22 10:10:39 UTC
Description of problem:
Currently, the exported tar is written with the name in format export-<cvv_id>.tar, 
but the exported tar should have some good pointer name to Content View and version something like export-<cv_name>-<cvv MinorMajor>.tar
(e.g export-myView-21.tar).

Version-Release number of selected component (if applicable):
Satellite 6.5 snap 3

How reproducible:
Always

Steps to Reproduce:
1. Export content view version to some directory
2. Look at the tar name in the exported directory.

Actual results:
The exported tar name doesn't better relate to Content View and Version name.
Currently: export-<CVV_id>.tar

Expected results:
The exported tar should have a better pointer to Content View and version
Expected: export-<cv_name>-<cvv MinorMajor>.tar

Additional info:

Comment 2 vijsingh 2018-12-26 10:31:47 UTC
Failed QA:

@Satellite 6.5.0 Snap 9.0

Steps:
-------------------------
# hammer -u admin content-view version list --organization-id 1
[Foreman] Password for admin: 
----|-------------------------------|---------|-----------------------
ID  | NAME                          | VERSION | LIFECYCLE ENVIRONMENTS
----|-------------------------------|---------|-----------------------
399 | my_cv 2.0                     | 2.0     | Library               
398 | my_cv 1.0                     | 1.0     |                       
1   | Default Organization View 1.0 | 1.0     | Library               
----|-------------------------------|---------|-----------------------
# hammer -u admin content-view version export --id 399 --export-dir /root/
[Foreman] Password for admin: 

# ls /root
anaconda-ks.cfg       export-399.tar  foreman-debug.tar.xz  setup_configured  template_file_empty.txt
example_template.erb  foreman-debug   original-ks.cfg       ssl-build         template_file.txt

# ls -l /root/export-399.tar 
-rw-r--r--. 1 root root 184320 Dec 26 05:17 /root/export-399.tar

------------------------------

Observation/result:
 - Unable to see the exported file format as expected: export-<cv_name>-<cvv MinorMajor>.tar

Comment 4 pm-sat@redhat.com 2018-12-26 11:01:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25682 has been resolved.

Comment 5 Chris Roberts 2019-01-15 17:04:40 UTC
Fixed upstream:

https://github.com/Katello/hammer-cli-katello/pull/607

Moving back to POST

Comment 10 vijsingh 2019-01-31 11:34:00 UTC
Verified:
Satellite 6.5.0 Snap 13.0

Steps/Observation:

 - Able to export C.V. with file name format : export-cvname-cvvid.tar

Opened another Bug for minor version add in name: https://bugzilla.redhat.com/show_bug.cgi?id=1671318

Comment 12 errata-xmlrpc 2019-05-14 12:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.